package com.jeeplus.test.cw.common;

import cn.hutool.core.collection.CollectionUtil;
import com.jeeplus.sys.service.dto.RoleDTO;
import com.jeeplus.sys.service.dto.UserDTO;
import com.jeeplus.sys.utils.UserUtils;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

public class FindUtils {

    /**
     * 判断当前用户是否拥有 “ 财务部门主任 ” 的角色
     * @return
     */
    public static boolean haveRoleCwBmzr() {
        UserDTO userDTO = UserUtils.getCurrentUserDTO();
        List<RoleDTO> roles = new ArrayList<>(); // 当前用户拥有的角色
        if (CollectionUtil.isNotEmpty(userDTO.getRoleDTOList())) {
            roles = userDTO.getRoleDTOList().stream().filter(item -> {
                // 过滤当前用户是否拥有财务部门主任角色
                if ("1589893310822690818".equals(item.getId())) {
                    return true;
                }
                return false;
            }).collect(Collectors.toList());
        }
        if (CollectionUtil.isNotEmpty(roles)) {
            return true;
        }
        return false;
    }
}
